RegexPattern (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching.filter

## Class RegexPattern

- java.lang.Object
- - org.neo4j.graphmatching.filter.AbstractFilterExpression
  - - org.neo4j.graphmatching.filter.RegexPattern

- All Implemented Interfaces:
    FilterExpression

  Deprecated.

      @Deprecated
      public class RegexPattern
      extends AbstractFilterExpression

  A regex pattern with or without options, f.ex. "i" means case-insensitive.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexPattern(String label, String property, String pattern, String options)` Deprecated. Constructs a new regex pattern for filtering.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(FilterValueGetter valueGetter)` Deprecated. Matches a value from a `valueGetter` and returns whether or not there was a match.

    - ### Methods inherited from class org.neo4j.graphmatching.filter.AbstractFilterExpression

      `getLabel, getProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexPattern

          public RegexPattern(String label,
                      String property,
                      String pattern,
                      String options)

      Deprecated.
      Constructs a new regex pattern for filtering.
      Parameters:
        `label` - the `PatternNode` label.
        `property` - the property key to filter in.
        `pattern` - the pattern which the value should match.
        `options` - options for regex matching.

  - ### Method Detail

    - #### matches

          public boolean matches(FilterValueGetter valueGetter)

      Deprecated.
      Description copied from interface: `FilterExpression`
      Matches a value from a `valueGetter` and returns whether or not there was a match.
      Parameters:
        `valueGetter` - the getter which fetches the value to match.
      Returns:
        whether or not the value from `valueGetter` matches the criterias found in this expression.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.